summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-boot/netboot')
-rw-r--r--sys-boot/netboot/Manifest1
-rw-r--r--sys-boot/netboot/files/netboot-0.10.2-ldflags.patch38
-rw-r--r--sys-boot/netboot/metadata.xml10
-rw-r--r--sys-boot/netboot/netboot-0.10.2.ebuild51
4 files changed, 100 insertions, 0 deletions
diff --git a/sys-boot/netboot/Manifest b/sys-boot/netboot/Manifest
new file mode 100644
index 00000000000..ecd4e0d1723
--- /dev/null
+++ b/sys-boot/netboot/Manifest
@@ -0,0 +1 @@
+DIST netboot-0.10.2.tar.gz 1457791 SHA256 e07148b0c396fa8c2c542399b79a6adaafa84684b97c0991fd1dacc7f74a8027 SHA512 422e78833c36e9975a77226523e14ebf8b5af5c02e98628ee030459ebf9f26d020551265899e84ea27bf6ab43c4d9bf8edc6722f942f49103bac897c7cc4fa3e WHIRLPOOL db28598558f9e4f9d949d049624318d9105c128e3743aecd9666b1c9d02cb3f61ebb0b1fd3a220bf577cbca6e61ee5716aec3d1b868d5b1c0fc0eb97a4c600b2
diff --git a/sys-boot/netboot/files/netboot-0.10.2-ldflags.patch b/sys-boot/netboot/files/netboot-0.10.2-ldflags.patch
new file mode 100644
index 00000000000..2cb245076d9
--- /dev/null
+++ b/sys-boot/netboot/files/netboot-0.10.2-ldflags.patch
@@ -0,0 +1,38 @@
+--- netboot-0.10.2/make.config.in.org 2007-02-01 13:09:18.000000000 +0100
++++ netboot-0.10.2/make.config.in 2010-02-09 00:34:15.000000000 +0100
+@@ -105,7 +105,7 @@
+ INCLUDE = $(patsubst %,-I%,$(subst :, ,$(VPATH)))
+ CDEFS = @DEFS@ -DNETBOOT
+ CFLAGS = @CFLAGS@ $(CDEBUG) $(CDEFS) $(INCLUDE)
+-LDFLAGS = -s
++LDFLAGS = @LDFLAGS@
+ SYSLIBS = @LIBS@
+ BDBLIB = @BDBLIB@
+ ODBCLIB = @ODBCLIB@
+--- netboot-0.10.2/misc/Makefile.org 2007-02-01 19:42:10.000000000 +0100
++++ netboot-0.10.2/misc/Makefile 2010-02-09 00:39:21.000000000 +0100
+@@ -76,7 +76,7 @@
+
+ gccrules: $(LIBTOOL) gccrules.o $(LIBNBA)
+ @$(LIBTOOL) --mode=link \
+- $(CC) $(CFLAGS) -o gccrules gccrules.o $(LIBS) \
++ $(CC) $(CFLAGS) $(LDFLAGS) -o gccrules gccrules.o $(LIBS) \
+ -no-install
+
+
+@@ -89,13 +89,13 @@
+
+ gccopt: $(LIBTOOL) gccopt.o $(LIBNBA)
+ @$(LIBTOOL) --mode=link \
+- $(CC) $(CFLAGS) -o gccopt gccopt.o $(LIBS) \
++ $(CC) $(CFLAGS) $(LDFLAGS) -o gccopt gccopt.o $(LIBS) \
+ -no-install
+
+
+ nbmd5: $(LIBTOOL) nbmd5.o $(LIBNBA)
+ @$(LIBTOOL) --mode=link \
+- $(CC) $(CFLAGS) -o nbmd5 nbmd5.o $(LIBS)
++ $(CC) $(CFLAGS) $(LDFLAGS) -o nbmd5 nbmd5.o $(LIBS)
+
+
+ instdrv: instdrv.in
diff --git a/sys-boot/netboot/metadata.xml b/sys-boot/netboot/metadata.xml
new file mode 100644
index 00000000000..bf29e8fa8ed
--- /dev/null
+++ b/sys-boot/netboot/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">netboot</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-boot/netboot/netboot-0.10.2.ebuild b/sys-boot/netboot/netboot-0.10.2.ebuild
new file mode 100644
index 00000000000..f4c97dadf70
--- /dev/null
+++ b/sys-boot/netboot/netboot-0.10.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="netbooting utility"
+HOMEPAGE="http://netboot.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86"
+IUSE=""
+
+DEPEND=">=dev-libs/lzo-2
+ >=sys-libs/db-4"
+RDEPEND="${DEPEND}
+ !net-misc/mknbi"
+
+src_prepare() {
+ cp -av make.config.in{,.org}
+ epatch "${FILESDIR}"/${P}-ldflags.patch
+ find "${S}" -name \*.lo -exec rm {} \;
+}
+
+src_configure() {
+ econf --enable-bootrom --with-gnu-cc86="$(tc-getCC)" \
+ --with-gnu-as86="$(tc-getAS)" --with-gnu-ld86="$(tc-getCC)"|| die 'cannot configure'
+ # --enable-config-file
+}
+
+src_compile() {
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc README doc/*
+ docinto FlashCard
+ dodoc FlashCard/README FlashCard/*.ps
+ mv "${D}"/usr/share/misc "${D}"/usr/share/${PN}
+ rm -rf "${D}"/usr/lib/netboot/utils
+
+ dodoc "${S}"/mknbi-dos/utils/mntnbi.pl
+
+ insinto /usr/share/vim/vimfiles/syntax
+ doins "${S}"/mknbi-mgl/misc/mgl.vim
+}